<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.bf.mapper.FhzgElectricalModelNodeMapper">

    <resultMap id="BaseResultMap" type="com.hdkj.lt.bf.entity.FhzgElectricalModelNode">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="nodeId" column="node_id" jdbcType="VARCHAR"/>
            <result property="sectionId" column="section_id" jdbcType="VARCHAR"/>
            <result property="name" column="name" jdbcType="VARCHAR"/>
            <result property="voltageLevelKv" column="voltage_level_kv" jdbcType="DECIMAL"/>
            <result property="gShuntPu" column="g_shunt_pu" jdbcType="DECIMAL"/>
            <result property="bShuntPu" column="b_shunt_pu" jdbcType="DECIMAL"/>
            <result property="isActive" column="is_active" jdbcType="TINYINT"/>
            <result property="type" column="type" jdbcType="INTEGER"/>
            <result property="vmPu" column="vm_pu" jdbcType="DECIMAL"/>
            <result property="vaDeg" column="va_deg" jdbcType="DECIMAL"/>
            <result property="pInjPu" column="p_inj_pu" jdbcType="DECIMAL"/>
            <result property="qInjPu" column="q_inj_pu" jdbcType="DECIMAL"/>
            <result property="feederId" column="feeder_id" jdbcType="VARCHAR"/>
            <result property="role" column="role" jdbcType="VARCHAR"/>
            <result property="psrType" column="psr_type" jdbcType="VARCHAR"/>
            <result property="psrId" column="psr_id" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,node_id,section_id,
        name,voltage_level_kv,g_shunt_pu,
        b_shunt_pu,is_active,type,
        vm_pu,va_deg,p_inj_pu,
        q_inj_pu,feeder_id,role,
        psr_type,psr_id,create_time
    </sql>
</mapper>
